Subject: Offline Message from Ami: Hey I have a package now it will spend long time wi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 23 Jun 2020 10:28:25 -0000

From: Ami <[email-masked]>
Phone: 
Location: Muscat, Oman
URL: https://www.mumzworld.com/en/trackhistory/track/shipmenttrack/id/K3hDZ0VxNFdFbTI1T1h0VGd3SmJRZz09/
Department: 

Hey I have a package now it will spend long time with dhl, they called me a week ago to deliver my package but they didn’t . They said they need me to update address I called them and I updated it . On Sunday they said they will deliver but they never contact me or deliver my package to the Adress that given . What should I do ??

----
Zopim
https://www.zopim.com